<template>
  <v-app class="pa-50">
    <v-tabs v-model="tab2">
      <v-tabs-slider></v-tabs-slider>

      <v-tab href="#tab-1" class="tab-custom">
        Account
      </v-tab>

      <v-tab href="#tab-2" class="tab-custom">
        Transaction
      </v-tab>

      <v-tabs-items v-model="tab2">
        <v-tab-item value="tab-1">
          <Account />
        </v-tab-item>
        <v-tab-item value="tab-2">
          <Transaction />
        </v-tab-item>
      </v-tabs-items>
    </v-tabs>
  </v-app>
</template>

<script>
import Account from "./account/Account";
import Transaction from "./transaction/Transaction";

export default {
  methods: {
    getData() {
      var self = this;
      var url = self.base_url + "getsiswa";
      this.axios.get(url).then(function(response) {
        self.result = response.data;
      });
    },
  },
  mounted() {
    this.getData();
  },
  components: {
    Account,
    Transaction,
  },
  data() {
    return {
      name: "Finance",
      tab: null,
      tab2: "tab-1"
    };
  },
};
</script>
